shisa_init_with_paths(3)

NAME
shisa_init_with_paths - API function

SYNOPSIS
#include <shisa.h>

int shisa_init_with_paths(Shisa ** dbh, const char * file);

ARGUMENTS

Shisa ** dbh
    pointer to library handle to be created.

const char * file
    Filename of system configuration, or NULL.

DESCRIPTION
Create a Shisa library handle, using shisa(), and read the system configuration file indicated location (or the default location, if NULL). The paths to the default system configuration file is decided at compile time ($sysconfdir/shisa.conf). The handle is allocated regardless of return values, except for SHISA_INIT_ERROR which indicates a problem allocating the handle. (The other error conditions comes from reading the files.)

RETURN VALUE
Returns SHISA_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.